\version "2.12.0"
#(ly:set-option 'point-and-click #f)
% expanding: header.ly
\header {
	composer = "Vincenzo Ruffo"
        copyright = "© Serpent Publications 2012 www.laymusic.org"
	footnotes = ""
	title = "El Pietoso"
	source = "Ogni Sorte Editions SR3"
}

% Local Variables:
% coding: utf-8
% End:

% expanding: accidentals.lyi
af = {	     \set suggestAccidentals = ##t }
an = {	     \set suggestAccidentals = ##f }
% expanding: bars.lyi
singlebar = {	 \once \override Staff.BarLine #'transparent = ##f \bar "|"}
doublebar = {	 \once \override Staff.BarLine #'transparent = ##f \bar "||"}
endbar = {	 \once \override Staff.BarLine #'transparent = ##f \bar "|."}
% expanding: cantusnotes.ly
cantusnotes = {
  \relative c' {
    r1 r4 d2 a' g fis4 g1 bes4 a2 g fis4 fis g a2. g4. f8 \af es4 d2 \an es d c4^"A" bes2 a4 d4. e8 f4 e2 f4 d e2 fis4 g2. f2 e d c bes8 a bes4 a d2. cis4 \af cis d a c2 f \an es4 d^"B" g2 fis4 \af fis g a1 e2 g4 f2 e4 f a2 g f e4 a d,2 f e a g4 f2 c' bes4 a2 g4. \af fis8 \an fis4 g2^"C"
    r4 bes2 a4 g f2 e d4. c16 bes c4 d a' bes a2 a4 f4. g8 a4 e f2^"D" d bes4. c8 d4 a bes a2 g4 c2 d4. e8 f4 e a f e d2 cis4 d2^"E"
    r4 d fis g a2 d,4 es2 d g f4 bes4. a8 g4 d es2. d4 c bes c g'2 f bes, bes' a4 d,^"F" f2 d4 es d2 bes' a4 g2
    r4 g2 f d4 g2
    r2 g2. f4 es2 d c b4 c2 a4 a2. a'2 bes a4. g8 f2 f4 e2 f bes,4^"G" g d' es d2. c2 bes4 \af es d2 d4 g2 f2. d4 \af es2 bes4. c8 d4 es2 es4 d2 g,4 g'2 g4 bes a d,^"H" bes'2 a4. g8 f4. e8 a2 g g4 e f d2 c4. b8 a4 d2 cis8 b \an cis4 d^"I"
    r4 d es d2 bes4 g2 g' f d bes4 \af es d1\fermata
    \endbar
  }
}

% expanding: tenornotes.ly
tenornotes = {
  \clef "G_8"
  \relative c' {
    r1 g2 d'1 c2. \af b4 \an b c d2 g,4 bes2 a bes4 c1 bes4 c f, g2 g4 g2 es^"A" d2. d'2 cis4 \af cis d a1 bes a2 g1 \an fis4 g2 \af fis8 e \an fis4 g a2 e4 f2 e4 a2. c4 bes2^"B" a4 d2 d4 d, f2 e4 a g e f g2 f c' bes a4 c2 bes4 a d2 g,4 c2 c2. f,2 es4 d2 bes' a g^"C" d'4. c8 bes4 c4. bes8 a4 g2 a4 f g es d2
    r4 d' f e4. d8 d2 \af cis4 d^"D" a bes a2 g f8 e f2. e2 a g4 a4. b8 c4 a4. g8 f4 e2 d4^"E" a'2 bes4 a g2 fis4 g2 c4 a bes2 c4 d2 es4 d bes2 c4 g1
    r4 es'2 d d4 es bes c2 bes^"F" bes4. a8 g4 fis g2 d'2. es4 d2 c
    r4 bes2 es d c4 d a c bes2 a g a4 e f d e f2. f4 g a d, d'2 c bes4 a2 g4^"G" bes4. a8 c4 f,4. g8 a2 d,4 g2 bes bes4 es d2 c4. d8 \an b4 c g2 f4. d8 g2 c bes es d c4
    r4^"H" g d' f4. e8 d4. \af cis8 \an cis4 d bes2 g4 a4. g8 fis4 g2 e4 fis g e a2 fis^"I" g fis4 g d' \af es d2 c bes8 a bes2 g4 c b1
    \endbar
}
}
% expanding: bassusnotes.ly
bassusnotes = {
  \clef "bass"
  \relative c {
    d2 a' g2. fis4 \af fis g a2 g2. \an es4 d2 es d2. g2 f es4. d8 c4 bes g2 c b4 c^"A" g'2 fis4 \af fis g4 a2. d,2 \an cis4 \af cis d g, es'2 d c \an b4 b c d2 d2. bes4 a2. d4 d c f4. e8 d4 c g'2^"B" d bes' a a,2. c2 a4 bes c d2 c4. d8 es4 d2 c4 f g d2. c4 a f'2 e4 f a2 g fis4 g2 d
    r4^"C" bes'4. a8 g2 f4 e f c4. bes8 a4 bes g g'2 fis4 g d2 a'4 bes2 a d,1^"D" \af es2 d1 c2. bes8 a bes2 a\breve d4.^"E" e8 f4 d4. c8 bes4 a2 g4 c2 d \an es2 d4 g2. g4 es c2 bes4 \af es2 c bes bes' g f
    r4^"F" bes,2 bes4 c d g, g'2 fis4 g c, g'2 a bes2 g2. f4 es2 d c4 g'2 d4 f e2 a, d cis4 d1
    r2 r4 bes'2 a g4 f d es2^"G" d4     c bes2 a g1
    r4 g'2 g4 bes f4. d8 g4 c, \af es2 bes g4 c2 d es4. d8 c4 g'2 a4 bes4.^"H" a8 g4 f2 bes4 a4. g8 \an fis4 g4 g,2
    r4 d'2 b4 c2 d4 g, a2. d2^"I" b4 c d g,2. g'2 e4 f2 g4 d es c g'1\fermata
  }
  \endbar
}

% expanding: timesig.ly
%%%settime = {  
%%%\override Staff.TimeSignature   #'style = #'mensural
%%%\time 4/4
%%%s128
%%%\set Score.measurePosition = #(ly:make-moment 0 2)
%%%\override Staff.TimeSignature   #'style = #'single-digit
%%%  \time  3/2
%%%\set Score.measurePosition = #(ly:make-moment 0 2)
%%%}

settime = {
#(define ((compound-time one two num) grob)
   (grob-interpret-markup grob
                          (markup  #:override '(baseline-skip . 0)
                                   #:number
                                  (#:line ((#:vcenter #:musicglyph
"timesig.C22")
                                          (#:vcenter two))))))

  \override Staff.TimeSignature #'stencil = #(compound-time "C" "3" "1")
  \time 3/2
}

%%%#(define ((compound-time one two num) grob)
%%%   (grob-interpret-markup grob
%%%                          (markup #:override '(baseline-skip . 0) #:number
%%%                                  (#:line ((#:column (one num))
%%%                                           #:vcenter "+"
%%%                                           (#:column (two num)))))))

%settime = {\markup{\musicglyph #"timesig.C44" \musicglyph #"three" }}

%%%settime = \override Staff.TimeSignature #'stencil = #(\markup{\musicglyph #"timesig.C44" \musicglyph #"three" }})
% expanding: voicedefault.ly
\version "2.15.19"
voicedefault =  {
\set Staff.autoBeaming = ##f
$(set-accidental-style 'forget)
\override NoteHead    #'style = #'baroque
\set Staff.midiInstrument = "oboe"
%\set Score.defaultBarType = "empty"
\override Staff.BarLine #'transparent = ##t
\override Staff.BarLine #'extra-spacing-width = #'(0 . 0)
\override Staff.TimeSignature   #'style = #'neomensural

%\compoundMeter #'((4 4) (3 2)) 
%\once \override Staff.TimeSignature #'extra-spacing-width = #'(+inf.0 . -inf.0)\once \override Staff.TimeSignature #'extra-spacing-width = #'(+inf.0 . -inf.0)

%  \override Staff.TimeSignature   #'style = #'C
 \time 2/2
%\settime
%s128
%\once \override Staff.TimeSignature #'extra-spacing-width = #'(0.0 . 0.0 )
%\override Staff.TimeSignature   #'style = #'single-digit
%\time 3/2
%s128
%        \set Score.measurePosition = #(ly:make-moment 0 2)

%\key g \minor
\key g \dorian

%\partial 4  

}
% Local Variables:
% coding: utf-8
% End:

% expanding: slower.ly
looksSlower =
#(define-music-function (parser location music) (ly:music?)
  (let ((new-music (ly:music-deep-copy music)))
   (shift-duration-log new-music -1 0)
   new-music))
\score{
         <<

  <<
	\context Staff="1"
	{
	  \transpose c c {
	    \voicedefault 
	    \looksSlower{\cantusnotes }
%	    \cantusnotes
	  }
	}
      >>


<<	\context Staff="3"
	{
	  \transpose c c {
	    \voicedefault
	    \looksSlower{\tenornotes}
%	    \tenornotes
	  }
	}

>>


<<	\context Staff="6"
	{
	  \transpose c c {
%	    \clef "bass"
	    \voicedefault
	    \looksSlower{\bassusnotes}
% 	    \bassusnotes
	  }
	}
>>

    >>
	\layout {
	  \context{
		\Voice
		\consists Ambitus_engraver
		\remove "Forbid_line_break_engraver"	      
	      }
	  \context{

	    \Staff
	    \consists "Timing_translator" 
	    \consists "Default_bar_line_engraver"
	    \consists "Repeat_acknowledge_engraver"
	  }
	  \context{
	    \Score
	    \remove "Timing_translator" 
	    \remove "Default_bar_line_engraver"
	    \remove "Repeat_acknowledge_engraver"
	  }

	}
\midi {
    \context {
      \Score
      tempoWholesPerMinute = #(ly:make-moment 120 4)
      }
    }
}
% Local Variables:
% coding: utf-8
% End:

